apiVersion: machine.openshift.io/v1beta1
kind: MachineSet
metadata:
  annotations:
    machine.openshift.io/GPU: '0'
    machine.openshift.io/memoryMb: '16384'
    machine.openshift.io/vCPU: '4'
  labels:
    machine.openshift.io/cluster-api-cluster: aro-v4-shared-gxqb4
    machine.openshift.io/cluster-api-machine-role: worker
    machine.openshift.io/cluster-api-machine-type: worker
  name: aro-v4-shared-gxqb4-worker-eastus1
  namespace: openshift-machine-api
spec:
  replicas: 1
  selector:
    matchLabels:
      machine.openshift.io/cluster-api-cluster: aro-v4-shared-gxqb4
      machine.openshift.io/cluster-api-machineset: aro-v4-shared-gxqb4-worker-eastus1
  template:
    metadata:
      labels:
        machine.openshift.io/cluster-api-cluster: aro-v4-shared-gxqb4
        machine.openshift.io/cluster-api-machine-role: worker
        machine.openshift.io/cluster-api-machine-type: worker
        machine.openshift.io/cluster-api-machineset: aro-v4-shared-gxqb4-worker-eastus1
    spec:
      metadata: {}
      providerSpec:
        value:
          apiVersion: azureproviderconfig.openshift.io/v1beta1
          credentialsSecret:
            name: azure-cloud-credentials
            namespace: openshift-machine-api
          image:
            offer: aro4
            publisher: azureopenshift
            resourceID: ''
            sku: aro_43
            version: 43.81.20200311
          kind: AzureMachineProviderSpec
          location: eastus
          metadata: {}
          networkResourceGroup: aro-v4-shared
          osDisk:
            diskSizeGB: 128
            managedDisk:
              storageAccountType: Premium_LRS
            osType: Linux
          publicIP: false
          publicLoadBalancer: aro-v4-shared-gxqb4
          resourceGroup: aro-v4-shared-cluster
          subnet: worker-subnet
          userDataSecret:
            name: worker-user-data
          vmSize: Standard_D4s_v3
          vnet: vnet
          zone: '1'
